name: tomat
description: "IoT Monitoring Tomato App"
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: ^3.3.0

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8

  # Firebase (Realtime DB only)
  firebase_core: ^2.32.0
  firebase_database: ^10.4.5

  # Chart
  fl_chart: ^0.68.0

  # Audio alarm
  audioplayers: ^5.2.1

  # Local Notification
  flutter_local_notifications: ^17.2.2

  # 🔥 TAMBAHAN (WAJIB untuk ganti nama & icon)
  flutter_launcher_icons: ^0.13.1
  rename: ^3.0.2

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0

# 🔥 CONFIG ICON
flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/icon.png"

flutter:
  uses-material-design: true

  assets:
    - assets/images/bg.jpg
    - assets/sounds/alert.mp3
    - assets/icon.png